diff --git a/.gitignore b/.gitignore
index 5495e143..00caafae 100644
--- a/.gitignore
+++ b/.gitignore
@@ -9,3 +9,4 @@ src/main/gnome-shell/gnome-shell-Dark.css
src/main/gnome-shell/gnome-shell-Light.css
src/other/dash-to-dock/stylesheet.css
src/other/dash-to-dock/stylesheet-dark.css
+other/gdm/gnome-shell-theme.gresource
diff --git a/libs/lib-install.sh b/libs/lib-install.sh
index a327c72e..4f07a7fa 100755
--- a/libs/lib-install.sh
+++ b/libs/lib-install.sh
@@ -701,19 +701,25 @@ install_gdm_theme() {
}
install_only_gdm_theme() {
- if check_theme_file "$MISC_GR_FILE"; then
+ if check_theme_file "$POP_OS_GR_FILE"; then
+ TARGET="${POP_OS_GR_FILE}"
+ elif check_theme_file "$YARU_GR_FILE"; then
+ TARGET="${YARU_GR_FILE}"
+ elif check_theme_file "$ZORIN_GR_FILE"; then
+ TARGET="${ZORIN_GR_FILE}"
+ elif check_theme_file "$MISC_GR_FILE"; then
TARGET="${MISC_GR_FILE}"
else
- prompt -e "\n $MISC_GR_FILE File not found! exit..."; exit 1
+ prompt -e "\n GDM Theme File not found! exit..."; exit 1
fi
- install_theme_deps; install_beggy "${WHITESUR_TMP_DIR}/gdm"
+ local GDM_TMP_DIR="${WHITESUR_TMP_DIR}/gdm"
- local TARGET_DIR="${WHITESUR_TMP_DIR}/gdm"
+ install_theme_deps; install_beggy "${GDM_TMP_DIR}"
- mkdir -p "${TARGET_DIR}"
- cp -r "${REPO_DIR}/other/gdm/theme" "${TARGET_DIR}"
- cp -r "${WHITESUR_TMP_DIR}/beggy.png" "${TARGET_DIR}/theme/background.png"
+ mkdir -p "${GDM_TMP_DIR}"
+ cp -r "${REPO_DIR}/other/gdm/theme" "${GDM_TMP_DIR}"
+ cp -r "${WHITESUR_TMP_DIR}/beggy.png" "${GDM_TMP_DIR}/theme/background.png"
# For Kali Linux GDM >>>
local KALI_BACKGROUND_FOLDER="/usr/share/desktop-base/kali-theme/login"
@@ -725,7 +731,7 @@ install_only_gdm_theme() {
# For Kali Linux GDM <<<
backup_file "${TARGET}"
- glib-compile-resources --sourcedir="${WHITESUR_TMP_DIR}/gdm/theme" --target="${TARGET}" "${GDM_GR_XML_FILE}"
+ glib-compile-resources --sourcedir="${GDM_TMP_DIR}/theme" --target="${TARGET}" "${GDM_GR_XML_FILE}"
}
revert_gdm_theme() {
diff --git a/other/gdm/gnome-shell-theme.gresource b/other/gdm/gnome-shell-theme.gresource
deleted file mode 100644
index 6043b4fe..00000000
Binary files a/other/gdm/gnome-shell-theme.gresource and /dev/null differ
diff --git a/other/gdm/gnome-shell-theme.gresource.xml b/other/gdm/gnome-shell-theme.gresource.xml
index 22af23a0..7ceb450c 100644
--- a/other/gdm/gnome-shell-theme.gresource.xml
+++ b/other/gdm/gnome-shell-theme.gresource.xml
@@ -10,5 +10,10 @@
pad-osd.css
workspace-placeholder.svg
background.png
+ gnome-shell-dark.css
+ gnome-shell-dark.css
+ gnome-shell-light.css
+ gnome-shell-dark.css
+ gnome-shell-dark.css